libretools - Bug #431

[librechroot] Allow stdin to notbe a TTY
2013-10-27 08:18 AM - lukeshu

Status: fixed % Done: 100%
Priority: wish

Assignee: lukeshu

Category:

Description

The

reason it doesn't is because of a bug in systemd-nspawn.

The systemd bug is at:
https://bugs.freedesktop.org/show_bug.cgi?id=70290

Once the bug is fixed, the check in librechroot that verifies that stdin
is a TTY can be removed. (The relevant code is tagged with "XXX:
SYSTEMD-STDIN HACK".)

Related issues:
Related to libretools - Bug #1513: [librechroot] Integrate chroot-nspawn not-a-bug

History

#2 - 2014-01-19 02:54 PM - lukeshu

- Priority changed from feature to wish

The systemd bug was closed because the stdout bug was fixed, while the stdin part was more of a wish. | don't think it's documented, but
systemd-nspawn doesn't support stdin not being a TTY; it closes stdin if that is the case. So, that might be OK for background jobs, but because the
signal handling is TTY-based, it also has no signal handling.

Fixing that in systemd-nspawn is actually really complicated, if even possible to do correctly.

#3 - 2017-09-04 07:28 PM - lukeshu

The relevant parts of systemd-nspawn have changed in the intervening years. I'm not sure if it still has the same issues described. I've been
meaning to look in to it.

In the meantime, this can be worked around in automation by allocating a PTY for it, see
https://qit.parabola.nu/server/autobuilder.git/tree/.local/bin/autobuild.sh

#4 - 2017-10-31 09:49 PM - Megver83
- Related to Bug #1513: [librechroot] Integrate chroot-nspawn added

#5 - 2018-08-15 10:31 PM - lukeshu
- Description updated
There are 5 sub-bugs linked.

1. Fixed & issue closed

2. Fixed & issue closed

3.IDK

4. Fixed since then
5.1DK

#6 - 2018-08-15 10:32 PM - lukeshu

5: Fixed since then

#7 - 2018-08-15 10:37 PM - lukeshu
3: Fixed

#8 - 2018-08-15 11:51 PM - lukeshu
https://bugs.freedesktop.org/show_bug.cgi?id=70290
https://git.parabola.nu/server/autobuilder.git/tree/.local/bin/autobuild.sh

- % Done changed from 0 to 100
- Assignee set to lukeshu

- Status changed from open to fixed

https://git.parabola.nu/packages/libretools.git/commit/?id=5aa63654b8bd9f4d64967b9e77ba9d6f72f4f6e2
